%define upstream_name    Software-License
%define upstream_version 0.103014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Packages that provide templated software licenses
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Section)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Dir)
BuildRequires: perl(Module::Load)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Text::Template)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: rpm-build >=  4.12.0.1-5.mga5
%description
This packages provides templated software licenses.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Software

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.103.14-2.mga8
+ Revision: 1520538
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Nov 28 2018 tv <tv> 0.103.14-1.mga7
+ Revision: 1336504
- update to 0.103014

* Thu Sep 20 2018 umeabot <umeabot> 0.103.13-2.mga7
+ Revision: 1285993
- Mageia 7 Mass Rebuild

* Sun Oct 29 2017 tv <tv> 0.103.13-1.mga7
+ Revision: 1174557
- update to 0.103013

* Sun Jul 23 2017 shlomif <shlomif> 0.103.12-1.mga7
+ Revision: 1128907
- update to 0.103012

* Sun Jun 19 2016 pterjan <pterjan> 0.103.11-2.mga6
+ Revision: 1033224
- Rebuild for perl 5.22.2

* Sun Jan 17 2016 shlomif <shlomif> 0.103.11-1.mga6
+ Revision: 925105
- update to 0.103011

* Fri Oct 16 2015 tv <tv> 0.103.10-6.mga6
+ Revision: 892099
- make it noarch thus fixing empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.103.10-5.mga5
+ Revision: 745102
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.103.10-4.mga5
+ Revision: 725847
- rebuild for fixing provide verions

* Fri Sep 26 2014 tv <tv> 0.103.10-3.mga5
+ Revision: 724829
- fix provides

* Tue Sep 16 2014 umeabot <umeabot> 0.103.10-2.mga5
+ Revision: 686207
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.103.10-1.mga5
+ Revision: 614973
- update to 0.103010

* Tue Feb 25 2014 jquelin <jquelin> 0.103.9-1.mga5
+ Revision: 597053
- update to 0.103009

* Mon Feb 10 2014 jquelin <jquelin> 0.103.8-1.mga5
+ Revision: 588640
- update to 0.103008

* Sat Oct 19 2013 umeabot <umeabot> 0.103.5-4.mga4
+ Revision: 524135
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.103.5-3.mga4
+ Revision: 430121
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.103.5-2.mga3
+ Revision: 372660
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.103.5-1.mga3
+ Revision: 342586
- update to 0.103005

* Tue Nov 08 2011 jquelin <jquelin> 0.103.4-1.mga2
+ Revision: 165534
- update to 0.103004

* Wed Jun 15 2011 jquelin <jquelin> 0.103.2-1.mga2
+ Revision: 107419
- update to 0.103002

* Mon Apr 04 2011 jquelin <jquelin> 0.103.0-1.mga1
+ Revision: 80386
- update to 0.103000

* Sun Mar 13 2011 jquelin <jquelin> 0.102.341-1.mga1
+ Revision: 70643
- update buildrequires:
- update to 0.102341

* Fri Jan 21 2011 jquelin <jquelin> 0.102.340-1.mga1
+ Revision: 28763
- mageia rebuild
- imported package perl-Software-License


* Tue Aug 24 2010 Jérôme Quelin <jquelin@mandriva.org> 0.102.340-1mdv2011.0
+ Revision: 572708
- update to 0.102340

* Sun Aug 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.102.250-1mdv2011.0
+ Revision: 569956
- update to 0.102250

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.101.620-1mdv2011.0
+ Revision: 552632
- update to 0.101620

* Sat Mar 27 2010 Jérôme Quelin <jquelin@mandriva.org> 0.15.0-2mdv2010.1
+ Revision: 528119
- rebuild
- update to 0.015

* Tue Mar 23 2010 Jérôme Quelin <jquelin@mandriva.org> 0.14.0-1mdv2010.1
+ Revision: 526890
- update to 0.014

* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 0.13.0-1mdv2010.1
+ Revision: 526456
- update to 0.013

* Mon Jun 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.012-1mdv2010.0
+ Revision: 384031
- update to new version 0.012

* Sun May 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.010-1mdv2010.0
+ Revision: 376721
- new version

* Fri Nov 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.008-1mdv2009.1
+ Revision: 300701
- new version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.004-2mdv2009.0
+ Revision: 268723
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.004-1mdv2009.0
+ Revision: 195164
- import perl-Software-License


* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.004-1mdv2009.0
- first mdv release
